bitel.billing.server.ipn.bean

## Class RuleTypeManager

- java.lang.Object
- - bitel.billing.server.ipn.bean.RuleTypeManager

-     public class RuleTypeManager
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RuleTypeManager(java.sql.Connection con, int mid)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `deleteType(int id)`
    `RuleType` | `getType(int id)`
    `java.util.List<RuleType>` | `getTypeList()`
    `java.util.List<RuleType>` | `getTypeList(int gateTypeId)`
    `java.util.Map<java.lang.Integer,RuleType>` | `getTypeMap()`
    `java.util.Map<java.lang.Integer,RuleType>` | `getTypeMap(int gateTypeId)`
    `java.util.List<RuleType>` | `updateGateRules(int gateTypeId, java.util.List<RuleType> rules)`
    `void` | `updateType(RuleType type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RuleTypeManager

          public RuleTypeManager(java.sql.Connection con,
                                 int mid)

  - ### Method Detail

    - #### getTypeList

          public java.util.List<RuleType> getTypeList()

    - #### getTypeList

          public java.util.List<RuleType> getTypeList(int gateTypeId)

    - #### updateGateRules

          public java.util.List<RuleType> updateGateRules(int gateTypeId,
                                                          java.util.List<RuleType> rules)

    - #### getTypeMap

          public java.util.Map<java.lang.Integer,RuleType> getTypeMap(int gateTypeId)

    - #### getTypeMap

          public java.util.Map<java.lang.Integer,RuleType> getTypeMap()

    - #### getType

          public RuleType getType(int id)

    - #### updateType

          public void updateType(RuleType type)

    - #### deleteType

          public boolean deleteType(int id)